Class | Tk::Tile::Dialog
In: | tk/lib/tkextlib/tile/dialog.rb
Parent: | TkWindow

### Methods

cget client_frame configinfo configure define_dialog_type display display new show show style

### Constants

TkCommandNames | = | ['::ttk::dialog'.freeze].freeze

### Public Class methods

define_dialog_type(name, keys)

[Source]

    # File tk/lib/tkextlib/tile/dialog.rb, line 27
      def self.define_dialog_type(name, keys)
        Tk.tk_call('::ttk::dialog::define', name, keys)
        name
      end

display(*args)

[Source]

    # File tk/lib/tkextlib/tile/dialog.rb, line 23
      def self.display(*args)
        self.show(*args)
      end

new(keys={})

[Source]

    # File tk/lib/tkextlib/tile/dialog.rb, line 38
      def initialize(keys={})
        @keys = _symbolkey2str(keys)
        super(*args)
      end

show(*args)

[Source]

    # File tk/lib/tkextlib/tile/dialog.rb, line 18
      def self.show(*args)
        dialog = self.new(*args)
        dialog.show
        [dialog.status, dialog.value]
      end

style(*args)

[Source]

    # File tk/lib/tkextlib/tile/dialog.rb, line 32
      def self.style(*args)
        ['Dialog', *(args.map!{|a| _get_eval_string(a)})].join('.')
      end

### Public Instance methods

cget(slot)

[Source]

    # File tk/lib/tkextlib/tile/dialog.rb, line 57
      def cget(slot)
        @keys[slot]
      end

client_frame()

[Source]

    # File tk/lib/tkextlib/tile/dialog.rb, line 53
      def client_frame
        window(tk_call_without_enc('::ttk::dialog::clientframe'))
      end

configinfo(slot = nil)

[Source]

    # File tk/lib/tkextlib/tile/dialog.rb, line 76
      def configinfo(slot = nil)
        if slot
          slot = slot.to_s
          [ slot, nil, nil, nil, @keys[slot] ]
        else
          @keys.collect{|k, v| [ k, nil, nil, nil, v ] }
        end
      end

configure(slot, value=None)

[Source]

    # File tk/lib/tkextlib/tile/dialog.rb, line 61
      def configure(slot, value=None)
        if slot.kind_of?(Hash)
          slot.each{|k, v| configure(k, v)}
        else
          slot = slot.to_s
          value = _symbolkey2str(value) if value.kind_of?(Hash)
          if value && value != None
            @keys[slot] = value
          else
            @keys.delete(slot)
          end
        end
        self
      end

display()

Alias for show

show()

[Source]

    # File tk/lib/tkextlib/tile/dialog.rb, line 48
      def show
        tk_call(self.class::TkCommandNames[0], @path, *hash_kv(@keys))
      end

[Validate]